Support » Plugin: StageShow » 9.7.2 – Cannot add sales

  • Resolved abdev22

    (@abdev22)


    Hi,
    after updating to the version 9.7.2, we cannot add new manual sales.
    When creating a manual sale, adding a fatal error occurs.
    We really only use the plugin to add manual postings.
    Please fix the error as soon as possible, otherwise we will not be able to add any more bookings to the system.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Thread Starter abdev22

    (@abdev22)

    Hey,

    If this version is causing problems you could always roll back to the previous version for now.

    Please check if on your Show does not list:
    Quantity Column Hide Quantity Column
    and
    Visibility Only Shown when selected by shortcode id option
    as active!

    Apparently it switched to active on my sales and I got the same error.

    After switching it off all was working fine again

    Correction, I also can not add sales anymore from the back-end.
    I get also the error on Line 190.
    Front end works fine.

    If this helps on determining the problem, this is the error:

    Fatal error: Uncaught Error: Cannot unset string offsets
    in /home/dbwt/domains/dbwtoneel.be/public_html/wp-content/plugins/stageshow/include/stageshowlib_utils.php on line 190
    
    Oproepstack:
    
    StageShowLibUtilsClass::GetHTTPJSONEncodedElem()
    wp-content/plugins/stageshow/include/stageshowlib_sales_dbase_api.php:82
    StageShowLibSalesDBaseClass::GetJSONEncodedPostVars()
    wp-content/plugins/stageshow/include/stageshowlib_salesplugin.php:714
    StageShowLibSalesPluginBaseClass::OnlineStore_ProcessCheckout()
    wp-content/plugins/stageshow/stageshow_main.php:883
    StageShowPluginClass::OnlineStore_ProcessCheckout()
    wp-includes/class-wp-hook.php:308
    WP_Hook::apply_filters()
    wp-includes/class-wp-hook.php:332
    WP_Hook::do_action()
    wp-includes/plugin.php:517
    do_action()
    wp-settings.php:639
    require_once()
    wp-config.php:115
    require_once()
    wp-load.php:50
    require_once()
    wp-admin/admin.php:34

    Tested with the latest update 9.7.3 – Problem seems to be resolved!

    Yes, problem was fixed in 9.7.3 a few hours ago.

    THANKS MALCOLM!!!

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.